
<div class=" border-gray-100 shadow-lg mb-10 p-5 pb-8">
  <form [formGroup]="tagForm">
    <p class="text-3xl">Gérer les tags</p>
    <p class="text-lg text-gray-500">Créer un nouveau tag</p>

    <div class="mb-6 w-full">
      <div class="flex">
        <input
          formControlName="tagName"
          type="text"
          id="large-input"
          (keyup.enter)="createTag()"
          placeholder="Un super titre..."
          class="block mt-3 p-2 w-1/3 text-gray-900 border border-gray-300 rounded-lg bg-gray-50 sm:text-md focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        />
        <button
        (click)="createTag()"
        
          type="button"
          class="text-white ml-8 mt-3 w-40 disabled:opacity-25 bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-base px-2 py-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
        >
          Ajouter
        </button>
      </div>
    </div>
    <div class="flex mt-3 flex-wrap">
        <span
          *ngFor="let tag of tags"               
          class="bg-slate-500 mb-2 text-white text-lg font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-200 dark:text-green-900"
        ><span (click)="deleteTag(tag.id)" class="font-extrabold mr-1 cursor-pointer hover:scale-150" >x</span>
          {{tag.name}}</span
        >

      </div>
    </form>
  </div>
